SSTableMetadata (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.sstable
Class SSTableMetadata

    java.lang.Object
      org.apache.cassandra.io.sstable.SSTableMetadata

    public class SSTableMetadata

extends java.lang.Object

Metadata for a SSTable. Metadata includes: - estimated row size histogram - estimated column count histogram - replay position - max column timestamp - compression ratio - partitioner An SSTableMetadata should be instantiated via the Collector, openFromDescriptor() or createDefaultInstance()

Nested Class Summary
`static class` | `SSTableMetadata.Collector`
`static class` | `SSTableMetadata.SSTableMetadataSerializer`

Field Summary
`double` | `compressionRatio`
`EstimatedHistogram` | `estimatedColumnCount`
`EstimatedHistogram` | `estimatedRowSize`
`long` | `maxTimestamp`
`java.lang.String` | `partitioner`
`ReplayPosition` | `replayPosition`
`static SSTableMetadata.SSTableMetadataSerializer` | `serializer`

Method Summary
`static SSTableMetadata.Collector` | `createCollector()`
`static SSTableMetadata` | `createDefaultInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serializer

    public static final SSTableMetadata.SSTableMetadataSerializer serializer

### estimatedRowSize

    public final EstimatedHistogram estimatedRowSize

### estimatedColumnCount

    public final EstimatedHistogram estimatedColumnCount

### replayPosition

    public final ReplayPosition replayPosition

### maxTimestamp

    public final long maxTimestamp

### compressionRatio

    public final double compressionRatio

### partitioner

    public final java.lang.String partitioner

Method Detail

### createDefaultInstance

    public static SSTableMetadata createDefaultInstance()

### createCollector

    public static SSTableMetadata.Collector createCollector()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation